[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: UPDATED: New draft packaging guidelines for OCaml



On Wed, 2008-03-05 at 18:14 +0000, Richard W.M. Jones wrote:
> https://fedoraproject.org/wiki/PackagingDrafts/OCaml
> 
> Diff from the previous version:
> https://fedoraproject.org/wiki/PackagingDrafts/OCaml?action=diff&rev2=2&rev1=1

It doesn't address multilib. For example, the -devel packages should
require ocaml of the _same_ architecture, not just "ocaml".

In particular, the example that "ocaml-pcre-devel needs an explicit
'Requires: pcre-devel'" is wrong, because an i386 pcre-devel package
would satisfy that, while not being particularly useful for an x86_64
ocaml-pcre-devel.

Because of bug #235755 you may need to use virtual provides or
file-based dependencies to express the dependencies correctly.
Unless we put 235755 on the F9Blocker... :)

-- 
dwmw2


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]